<script setup lang="ts">
import type { FilterValues } from '@/types'
import { ref } from 'vue'
import GfButton from '@/components/atoms/GfButton.vue'

</script>

<template>
  <form @change="autoSearch ? handleFilter() : null" @submit.prevent="handleFilter">
    <div class="auto">
      <input id="autoSearch" v-model="autoSearch" type="checkbox" />
      <label for="autoSearch">Automatisch zoeken</label>
    </div>
    <div class="date">
      <div>
        <input id="1407" v-model="localModel.date" type="radio" value="2023-07-14" />
        <label for="1407"><span>Vr</span> 14 Jul</label>
        <input id="1507" v-model="localModel.date" type="radio" value="2023-07-15" />
        <label for="1507"><span>Za</span> 15 Jul</label>
        <input id="1607" v-model="localModel.date" type="radio" value="2023-07-16" />
        <label for="1607"><span>Zo</span> 16 Jul</label>
        <input id="1707" v-model="localModel.date" type="radio" value="2023-07-17" />
        <label for="1707"><span>Ma</span> 17 Jul</label>
        <input id="1807" v-model="localModel.date" type="radio" value="2023-07-18" />
        <label for="1807"><span>Di</span> 18 Jul</label>
      </div>
      <div>
        <input id="1907" v-model="localModel.date" type="radio" value="2023-07-19" />
        <label for="1907"><span>Wo</span> 19 Jul</label>
        <input id="2007" v-model="localModel.date" type="radio" value="2023-07-20" />
        <label for="2007"><span>Do</span> 20 Jul</label>
        <input id="2107" v-model="localModel.date" type="radio" value="2023-07-21" />
        <label for="2107"><span>Vr</span> 21 Jul</label>
        <input id="2207" v-model="localModel.date" type="radio" value="2023-07-22" />
        <label for="2207"><span>Za</span> 22 Jul</label>
        <input id="2307" v-model="localModel.date" type="radio" value="2023-07-23" />
        <label for="2307"><span>Zo</span> 23 Jul</label>
      </div>
    </div>
    <div class="details">
      <fieldset>
        <legend>Verfijn</legend>
        <input id="free" v-model="localModel.free" type="checkbox" />
        <label for="free">Gratis</label>
        <input id="outdoors" v-model="localModel.outdoors" type="checkbox" />
        <label for="outdoors">Buiten</label>
      </fieldset>
      <GfButton type="submit">Filter</GfButton>
    </div>
  </form>
</template>

<style scoped></style>
